Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class TreeLOD

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.TreeLOD

All Implemented Interfaces:
  Manageable, Shareable

    public class TreeLOD

extends ShareableBase

Nested Class Summary
`static class` | `TreeLOD.Type`

Field Summary
`static TreeLOD.Type` | `$TYPE`
`static SCOType.Field` | `branchesNumber$FIELD`
`static SCOType.Field` | `branchesNumberMode$FIELD`
`static SCOType.Field` | `minBranchesNumber$FIELD`
`static SCOType.Field` | `profile$FIELD`
`static SCOType.Field` | `scale$FIELD`
`static SCOType.Field` | `scaleMode$FIELD`
`static SCOType.Field` | `useLOD$FIELD`

Constructor Summary
`TreeLOD()`

Method Summary
`protected float` | `branches_NumberToLod(float number)`
`int` | `getBranchesNumber()`
`FloatToFloat` | `getBranchesNumberMode()`
`ManageableType` | `getManageableType()`
`int` | `getMinBranchesNumber()`
`int` | `getScale()`
`FloatToFloat` | `getScaleMode()`
`boolean` | `isProfile()`
`boolean` | `isUseLOD()`
`protected float` | `scaleToLod(float number)`
`void` | `set(View view, Vector3d v, float size)`
`void` | `setBranchesNumber(int value)`
`void` | `setBranchesNumberMode(FloatToFloat value)`
`void` | `setMinBranchesNumber(int value)`
`void` | `setProfile(boolean value)`
`void` | `setScale(int value)`
`void` | `setScaleMode(FloatToFloat value)`
`void` | `setUseLOD(boolean value)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final TreeLOD.Type $TYPE

### branchesNumber$FIELD

    public static final SCOType.Field branchesNumber$FIELD

### branchesNumberMode$FIELD

    public static final SCOType.Field branchesNumberMode$FIELD

### minBranchesNumber$FIELD

    public static final SCOType.Field minBranchesNumber$FIELD

### profile$FIELD

    public static final SCOType.Field profile$FIELD

### scale$FIELD

    public static final SCOType.Field scale$FIELD

### scaleMode$FIELD

    public static final SCOType.Field scaleMode$FIELD

### useLOD$FIELD

    public static final SCOType.Field useLOD$FIELD

Constructor Detail

### TreeLOD

    public TreeLOD()

Method Detail

### branches_NumberToLod

    protected float branches_NumberToLod(float number)

### getBranchesNumber

    public int getBranchesNumber()

### getBranchesNumberMode

    public FloatToFloat getBranchesNumberMode()

### getManageableType

    public ManageableType getManageableType()

### getMinBranchesNumber

    public int getMinBranchesNumber()

### getScale

    public int getScale()

### getScaleMode

    public FloatToFloat getScaleMode()

### isProfile

    public boolean isProfile()

### isUseLOD

    public boolean isUseLOD()

### scaleToLod

    protected float scaleToLod(float number)

### set

    public void set(View view,
                    Vector3d v,
                    float size)

### setBranchesNumber

    public void setBranchesNumber(int value)

### setBranchesNumberMode

    public void setBranchesNumberMode(FloatToFloat value)

### setMinBranchesNumber

    public void setMinBranchesNumber(int value)

### setProfile

    public void setProfile(boolean value)

### setScale

    public void setScale(int value)

### setScaleMode

    public void setScaleMode(FloatToFloat value)

### setUseLOD

    public void setUseLOD(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD